import sys

from .args import Args
from .servers.gitea import Gitea

def main():
    args = Args() 
    print(f"{args.domain} is a {args.server_type} server")
    server = Gitea(args.domain)
    print(f"Latest Release of {args.repo}: {server.latestRelease(args.repo, args.api_key)[0]['tag_name']}")