import getopt, sys

class Args:
    domain = None
    server_type = None
    api_key = None
    repo = None

    def __init__(self):
        try:
            opts, args = getopt.getopt(sys.argv[1:], 'd:t:k:r:', ['domain=', 'type=', 'key=', 'repo='])
        except Exception as e:
            print(e)
        for opt, arg in opts:
            if opt in ['-d', '--domain']:
                self.domain = arg
            elif opt in ['-t', '--type']:
                self.server_type = arg
            elif opt in ['-k', '--key']:
                self.api_key = arg
            elif opt in ['-r', '--repo']:
                self.repo = arg

