import requests
import json

class Gitea:
    domain = None
    def latestRelease(self, repo: str, api_key: str) -> dict:
        url = f"https://{self.domain}/api/v1/repos/{repo}/releases"
        querystring = {'limit': "1"}
        payload = ""
        headers = {"Authorization": f"Bearer {api_key}"}
        print(url)
        response = requests.get(url, data=payload, headers=headers, params=querystring)
        return json.loads(response.text)

    def __init__(self, domain):
        self.domain = domain